commit: 92346e2b3bf94741a1cc2a33c7c1f3be8f182e8f
Author: Joe Kappus <joe <AT> wt <DOT> gd>
AuthorDate: Fri Feb 28 07:36:33 2025 +0000
Commit: Joe Kappus <joe <AT> wt <DOT> gd>
CommitDate: Fri Feb 28 07:36:33 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=92346e2b
dev-cpp/simdutf: add 6.2.0
Signed-off-by: Joe Kappus <joe <AT> wt.gd>
dev-cpp/simdutf/Manifest | 1 +
dev-cpp/simdutf/simdutf-6.2.0.ebuild | 26 ++++++++++++++++++++++++++
2 files changed, 27 insertions(+)
diff --git a/dev-cpp/simdutf/Manifest b/dev-cpp/simdutf/Manifest
index d06707606..ad3382548 100644
--- a/dev-cpp/simdutf/Manifest
+++ b/dev-cpp/simdutf/Manifest
@@ -1 +1,2 @@
DIST simdutf-5.7.2.tar.gz 2079493 BLAKE2B
6b72b1212b8cdcc9da192fcc939a3695a451e864ff8357dc250cfcf25314da901ddf7d5bda5a60c7e6f601cb637400d2e81764a8f47ce6e4f509e99fe4af9305
SHA512
0ff4b0b96913a0ecc79483184af0e29e4070fa304930665f831f87179ed443a9b76ae8b392f57aad4dac0cca01f86405efab7b7827ef9f885697e919d0132a75
+DIST simdutf-6.2.0.tar.gz 2105965 BLAKE2B
1372c026c449561298005272b70eef8318384c3f8c187e7642fa7e783cb7110ba0ce48168ad92e7ccece2fc7972c3f9137a7c054837d253fb10e760166d5de1f
SHA512
2e07075edba7bcfade2cb7a8444a212dcc43427acb64cbfbd2baf13b3269a6e54abea5c15ad93da1414cad9150b9c1014b954be4bd770e424e7bfcbff215ff07
diff --git a/dev-cpp/simdutf/simdutf-6.2.0.ebuild
b/dev-cpp/simdutf/simdutf-6.2.0.ebuild
new file mode 100644
index 000000000..4977da21c
--- /dev/null
+++ b/dev-cpp/simdutf/simdutf-6.2.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit cmake python-any-r1
+
+DESCRIPTION="simdutf: Unicode validation and transcoding at billions of
characters per second"
+HOMEPAGE="https://simdutf.github.io/simdutf/"
+SRC_URI="https://github.com/simdutf/simdutf/archive/refs/tags/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+BDEPEND="${PYTHON_DEPS}"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local mycmakeargs=( -DSIMDUTF_TESTS=$(usex test ON OFF) )
+ cmake_src_configure
+}